package com.steerinfo.ems.tmaintenancefile.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.tmaintenancefile.model.TMaintenanceFile;
import com.steerinfo.ems.tmaintenancefile.mapper.TMaintenanceFileMapper;
import com.steerinfo.ems.tmaintenancefile.service.ITMaintenanceFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

/**
 * TMaintenanceFile服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-06-06 02:51
 * 类描述
 * 修订历史：
 * 日期：2022-06-06
 * 作者：generator
 * 参考：
 * 描述：TMaintenanceFile服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tMaintenanceFileService")
public class TMaintenanceFileServiceImpl extends BaseServiceImpl<TMaintenanceFile, String> implements ITMaintenanceFileService {

    @Autowired
    private TMaintenanceFileMapper tMaintenanceFileMapper;

    @Override
    protected IBaseMapper<TMaintenanceFile, String> getMapper() {
        return tMaintenanceFileMapper;
    }

    @Override
    public List<TMaintenanceFile> list(String id) {
        List<TMaintenanceFile> t = tMaintenanceFileMapper.getlist(id);
        return t;
    }
    @Override
    public List<TMaintenanceFile> lists(String construid) {
        List<TMaintenanceFile> t = tMaintenanceFileMapper.getlist(construid);
        return t;
    }

    @Override
    public Integer delFile(String path) {
       int count= tMaintenanceFileMapper.delFile(path);

        return count;
    }
}
